#!/bin/bash
for i in *.osm.o5m 
do 
	time ./osmfilter $i --drop-version --keep="route=hiking and network=lwn" --modify-tags="highway=* to =motorway"  -o=$(basename $i .osm.o5m)_hiking_lwm.o5m 
	time ./osmfilter $i --drop-version --keep="route=hiking and network=rwn" --modify-tags="highway=* to =trunk"     -o=$(basename $i .osm.o5m)_hiking_rwm.o5m 
	time ./osmfilter $i --drop-version --keep="route=hiking and network=nwn" --modify-tags="highway=* to =primary"   -o=$(basename $i .osm.o5m)_hiking_nwm.o5m 
	time ./osmfilter $i --drop-version --keep="route=hiking and network=iwn" --modify-tags="highway=* to =secondary" -o=$(basename $i .osm.o5m)_hiking_iwm.o5m 
	time ./osmconvert --out-osm $(basename $i .osm.o5m)_hiking_*.o5m > $(basename $i .osm.o5m)_hiking.osm
	rm -rf $(basename $i .osm.o5m)_hiking_*.o5m
done
