#!/bin/bash
for i in *.osm.o5m 
do 
	time ./osmfilter $i --drop-version --keep="mtb:scale=0" --modify-tags="highway=* to =motorway"      -o=$(basename $i .osm.o5m)_mtb_0.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=1" --modify-tags="highway=* to =trunk"         -o=$(basename $i .osm.o5m)_mtb_1.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=2" --modify-tags="highway=* to =primary"       -o=$(basename $i .osm.o5m)_mtb_2.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=3" --modify-tags="highway=* to =secondary"     -o=$(basename $i .osm.o5m)_mtb_3.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=4" --modify-tags="highway=* to =tertiary"      -o=$(basename $i .osm.o5m)_mtb_4.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=5" --modify-tags="highway=* to =residential"   -o=$(basename $i .osm.o5m)_mtb_5.o5m 
	time ./osmfilter $i --drop-version --keep="mtb:scale=6" --modify-tags="highway=* to =living_street" -o=$(basename $i .osm.o5m)_mtb_6.o5m
	time ./osmconvert --out-osm $(basename $i .osm.o5m)_mtb_*.o5m > $(basename $i .osm.o5m)_mtb.osm
	rm -rf $(basename $i .osm.o5m)_mtb_*.o5m
done