#!/bin/bash
for i in *.osm.o5m 
do 
	time ./osmfilter $i --drop-version --keep="sac_scale=hiking"                    --modify-tags="highway=* to =motorway"    -o=$(basename $i .osm.o5m)_sac_1.o5m 
	time ./osmfilter $i --drop-version --keep="sac_scale=mountain_hiking"           --modify-tags="highway=* to =trunk"       -o=$(basename $i .osm.o5m)_sac_2.o5m 
	time ./osmfilter $i --drop-version --keep="sac_scale=demanding_mountain_hiking" --modify-tags="highway=* to =primary"     -o=$(basename $i .osm.o5m)_sac_3.o5m 
	time ./osmfilter $i --drop-version --keep="sac_scale=alpine_hiking"             --modify-tags="highway=* to =secondary"   -o=$(basename $i .osm.o5m)_sac_4.o5m 
	time ./osmfilter $i --drop-version --keep="sac_scale=demanding_alpine_hiking"   --modify-tags="highway=* to =tertiary"    -o=$(basename $i .osm.o5m)_sac_5.o5m 
	time ./osmfilter $i --drop-version --keep="sac_scale=difficult_alpine_hiking"   --modify-tags="highway=* to =residential" -o=$(basename $i .osm.o5m)_sac_6.o5m 
	time ./osmconvert --out-osm $(basename $i .osm.o5m)_sac_*.o5m > $(basename $i .osm.o5m)_sac.osm
	rm -rf $(basename $i .osm.o5m)_sac_*.o5m
done
